Bug 782663 - Cannot register ovirt-node image to ovirt-engine
Summary: Cannot register ovirt-node image to ovirt-engine
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Roy Golan
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-18 04:01 UTC by Mike Burns
Modified: 2016-04-18 06:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-06 10:52:19 UTC
oVirt Team: ---


Attachments (Terms of Use)
vdsm-reg.log using https (3.96 KB, text/plain)
2012-01-18 04:01 UTC, Mike Burns
no flags Details
vdsm-reg.log using http (4.49 KB, text/plain)
2012-01-18 04:01 UTC, Mike Burns
no flags Details

Description Mike Burns 2012-01-18 04:01:06 UTC
Created attachment 555901 [details]
vdsm-reg.log using https

Description of problem:
vdsm-reg fails to register a node to ovirt-engine

Version-Release number of selected component (if applicable):
vdsm-4.9.3.1-0.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1.install ovirt-node
2.add hostname/port for ovirt-engine
3.
  
Actual results:
excerpt from log file:

MainThread::DEBUG::2012-01-18 02:08:01,974::vdsm-reg-setup::131::root::registerVDS URI= /OvirtEngineWeb/register?vds_ip=172.31.12.100&vds_name=localhost.localdomain&vds_unique_id=00757EC3-837A-DA11-89D7-BD3DCB5EF0DE_00%3A1a%3A92%3A7d%3A4d%3A48&port=54321&__VIEWSTATE=
<mburns> MainThread::DEBUG::2012-01-18 02:08:02,007::vdsm-reg-setup::163::root::registerVDS status: 404 reason: Not Found

Expected results:
Node registers and shows up awaiting approval

Additional info:

There is a slight different message when using http instead of https.  Will post that log shortly.

Comment 1 Mike Burns 2012-01-18 04:01:30 UTC
Created attachment 555902 [details]
vdsm-reg.log using http

Comment 2 Douglas Schilling Landgraf 2012-01-18 04:05:37 UTC
Hi Mike,

   As we talked today, I am going to confirm with ovirt engine guys what url we should use to register. We had this talk before, here the gerrit url:
http://gerrit.ovirt.org/#change,318

Thanks
Douglas

Comment 3 Dan Kenigsberg 2012-01-18 11:44:56 UTC
Roy, this HAS to be fixed in the Engine side, as you promised.

See my http://gerrit.ovirt.org/310 sum-up:

Dan Kenigsberg		Dec 28

Patch Set 5: Verified; Looks good to me, approved

I'm taking this in, under the understanding that a compatible name change in ovirt-engine is imminent.

Comment 4 Roy Golan 2012-01-18 11:53:48 UTC
just sent http://gerrit.ovirt.org/#change,1120 almost an hour ago.

Comment 5 Joey Boggs 2012-01-31 14:14:06 UTC
Is this going to make it in soon? Gerrit still shows pending review

Comment 6 Roy Golan 2012-02-06 10:51:30 UTC
http://gerrit.ovirt.org/#change,318


Note You need to log in before you can comment on or make changes to this bug.